<section id='login-form-section'>
  <h2>Log in to your account to continue</h2>
  <%= form_tag(login_path, method: :post, class: "login-form") do %>
    <div class="form-control <%= @session&.errors["username"] ? "error" : "" %>">
      <label>Username</label>

      <%= text_field_tag(:username, params[:username], placeholder: "Enter your username") %>

      <% if @session&.errors["username"] %>
        <p class="errorMessage">
          <%= @session&.errors["username"] %>
        </p>
      <% end %>
    </div>

    <div class="form-control <%= @session&.errors["password"] ? "error" : "" %>">
      <label>Password</label>

      <%= password_field_tag(:password, nil, placeholder: "Enter your password") %>

      <% if @session&.errors["password"] %>
        <p class="errorMessage">
          <%= @session&.errors["password"] %>
        </p>
      <% end %>
    </div>

    <div class="form-submit">
        <button type="submit" name="commit" class="defaultButton">
          <i class="fa fa-sign-in" aria-hidden="true"></i>Log In
        </button>
    </div>
  <% end %>
  <h2><%= link_to 'View Properties', advertised_path %></h2>
</section>